# Приложения

Справочные материалы по MCP-серверам.

## Содержание

* [Порты и эндпоинты](/mcp-servery-1c/prilozhenia/porty-i-endpointy.md) — таблица всех портов
* [Переменные окружения](/mcp-servery-1c/prilozhenia/peremennye-okruzheniya.md) — сводка ENV по серверам
* [Глоссарий](/mcp-servery-1c/prilozhenia/glossarij.md) — термины и сокращения

## Быстрые ссылки

### Порты серверов

| Порт | Сервер                   |
| ---- | ------------------------ |
| 8000 | CodeMetadataSearchServer |
| 8002 | SyntaxCheckServer        |
| 8003 | HelpSearchServer         |
| 8004 | TemplatesSearchServer    |
| 8006 | Graph Metadata Search    |
| 8007 | 1CCodeChecker            |
| 8008 | SSLSearchServer          |

### Docker образы

| Образ                        | Сервер                   |
| ---------------------------- | ------------------------ |
| `comol/1c_help_mcp`          | HelpSearchServer         |
| `comol/1c_code_metadata_mcp` | CodeMetadataSearchServer |
| `comol/1c_graph_metadata`    | Graph Metadata Search    |
| `comol/mcp_ssl_server`       | SSLSearchServer          |
| `comol/1c_syntaxcheck_mcp`   | SyntaxCheckServer        |
| `comol/template-search-mcp`  | TemplatesSearchServer    |
| `comol/1c-code-checker`      | 1CCodeChecker            |

### Полезные ссылки

* [Видеокурс по вайбкодингу](https://vibecoding1c.ru/#course)
* [Страница MCP серверов](https://vibecoding1c.ru/mcp_server)
* [Cursor Rules для 1С](https://github.com/comol/cursor_rules_1c)
* [Docker Desktop](https://www.docker.com/products/docker-desktop/)
* [LM Studio](https://lmstudio.ai/)
* [Ollama](https://ollama.com/)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onerpa.ru/mcp-servery-1c/prilozhenia.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
